Mailinglist Archive: opensuse-factory (682 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20161113 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20161113

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
analitza (16.08.2 -> 16.08.3)
blinken (16.08.2 -> 16.08.3)
bovo (16.08.2 -> 16.08.3)
cervisia (16.08.2 -> 16.08.3)
juk (16.08.2 -> 16.08.3)
kalgebra (16.08.2 -> 16.08.3)
kalzium (16.08.2 -> 16.08.3)
kanagram (16.08.2 -> 16.08.3)
kapptemplate (16.08.2 -> 16.08.3)
katomic (16.08.2 -> 16.08.3)
kblackbox (16.08.2 -> 16.08.3)
kblocks (16.08.2 -> 16.08.3)
kbounce (16.08.2 -> 16.08.3)
kbreakout (16.08.2 -> 16.08.3)
kbruch (16.08.2 -> 16.08.3)
kcachegrind (16.08.2 -> 16.08.3)
kcron (16.08.2 -> 16.08.3)
kde-l10n (16.08.2 -> 16.08.3)
kde-print-manager (16.08.2 -> 16.08.3)
kdeedu-data (16.08.2 -> 16.08.3)
kdesdk4-scripts (16.08.2 -> 16.08.3)
kdewebdev4 (16.08.2 -> 16.08.3)
kdf (16.08.2 -> 16.08.3)
kdiamond (16.08.2 -> 16.08.3)
kernel-source (4.8.6 -> 4.8.7)
kgeography (16.08.2 -> 16.08.3)
kgoldrunner (16.08.2 -> 16.08.3)
khangman (16.08.2 -> 16.08.3)
kig (16.08.2 -> 16.08.3)
kiriki (16.08.2 -> 16.08.3)
kiten (16.08.2 -> 16.08.3)
kjumpingcube (16.08.2 -> 16.08.3)
klettres (16.08.2 -> 16.08.3)
kmahjongg (16.08.2 -> 16.08.3)
kmines (16.08.2 -> 16.08.3)
kmouth (16.08.2 -> 16.08.3)
kmplot (16.08.2 -> 16.08.3)
knavalbattle (16.08.2 -> 16.08.3)
knetwalk (16.08.2 -> 16.08.3)
kolf (16.08.2 -> 16.08.3)
kollision (16.08.2 -> 16.08.3)
kolourpaint (16.08.2 -> 16.08.3)
konquest (16.08.2 -> 16.08.3)
kpat (16.08.2 -> 16.08.3)
kppp (16.08.2 -> 16.08.3)
kremotecontrol (16.08.2 -> 16.08.3)
kreversi (16.08.2 -> 16.08.3)
kscd (16.08.2 -> 16.08.3)
kshisen (16.08.2 -> 16.08.3)
ksirk (16.08.2 -> 16.08.3)
kspaceduel (16.08.2 -> 16.08.3)
ksquares (16.08.2 -> 16.08.3)
ksudoku (16.08.2 -> 16.08.3)
ksystemlog (16.08.2 -> 16.08.3)
kteatime (16.08.2 -> 16.08.3)
ktimer (16.08.2 -> 16.08.3)
ktouch (16.08.2 -> 16.08.3)
ktuberling (16.08.2 -> 16.08.3)
kturtle (16.08.2 -> 16.08.3)
kubrick (16.08.2 -> 16.08.3)
kwordquiz (16.08.2 -> 16.08.3)
libassuan
libkdegames (16.08.2 -> 16.08.3)
libkeduvocdocument (16.08.2 -> 16.08.3)
libkmahjongg (16.08.2 -> 16.08.3)
lokalize (16.08.2 -> 16.08.3)
lskat (16.08.2 -> 16.08.3)
okteta (16.08.2 -> 16.08.3)
openldap2
parley (16.08.2 -> 16.08.3)
php5 (5.6.27 -> 5.6.28)
poxml (16.08.2 -> 16.08.3)
python3-pip (8.1.1 -> 9.0.1)
step (16.08.1 -> 16.08.3)
tar
umbrello (16.08.2 -> 16.08.3)
xf86-video-ati

=== Details ===

==== analitza ====
Version update (16.08.2 -> 16.08.3)
Subpackages: libAnalitza5

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== blinken ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== bovo ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== cervisia ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== juk ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kalgebra ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kalzium ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kanagram ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kapptemplate ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== katomic ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kblackbox ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kblocks ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kbounce ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kbreakout ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kbruch ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kcachegrind ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kcron ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kde-l10n ====
Version update (16.08.2 -> 16.08.3)
Subpackages: kde-l10n-cs kde-l10n-da kde-l10n-da-data kde-l10n-da-doc
kde-l10n-de kde-l10n-de-data kde-l10n-de-doc kde-l10n-el kde-l10n-en_GB
kde-l10n-en_GB-data kde-l10n-en_GB-doc kde-l10n-es kde-l10n-es-data
kde-l10n-es-doc kde-l10n-fr kde-l10n-fr-data kde-l10n-hu kde-l10n-it
kde-l10n-it-data kde-l10n-it-doc kde-l10n-ja kde-l10n-pl kde-l10n-pl-data
kde-l10n-pt kde-l10n-pt_BR kde-l10n-pt_BR-data kde-l10n-ru kde-l10n-ru-data
kde-l10n-zh_CN kde-l10n-zh_TW

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kde-print-manager ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kdeedu-data ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kdesdk4-scripts ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kdewebdev4 ====
Version update (16.08.2 -> 16.08.3)
Subpackages: kfilereplace kimagemapeditor klinkstatus

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kdf ====
Version update (16.08.2 -> 16.08.3)
Subpackages: kwikdisk

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kdiamond ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kernel-source ====
Version update (4.8.6 -> 4.8.7)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.8.7 (CVE-2016-7042 bnc#1006417 bnc#1008880 boo#1006825
bsc#1004517 bsc#1007653 boo#1003298 bsc#1007615).
- Delete
patches.drivers/0001-usbhid-add-ATEN-CS962-to-list-of-quirky-devices.patch.
- Delete
patches.fixes/0001-KEYS-Fix-short-sprintf-buffer-in-proc-keys-show-func.patch.
- Delete patches.fixes/ALSA-seq-Fix-time-account-regression.
- Delete
patches.fixes/btrfs-fix-races-on-root_log_ctx-lists.patch.
- Delete
patches.fixes/drm-fb-helper-Dont-call-dirty-callback-for-untouched-clips.
- Delete
patches.fixes/drm-i915-gen9-fix-DDB-partitioning-for-multi-screen-.patch.
- Delete
patches.fixes/x86-smpboot-Init-apic-mapping-before-usage.patch.
- commit c8f02a2
- libfc: fix seconds_since_last_reset miscalculation (boo#1008745).
- commit da23b4a
- drm/i915/gen9: fix DDB partitioning for multi-screen cases
(bnc#1008880).
- commit 4a45dd3

==== kgeography ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kgoldrunner ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== khangman ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kig ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kiriki ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kiten ====
Version update (16.08.2 -> 16.08.3)
Subpackages: fonts-KanjiStrokeOrders

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kjumpingcube ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== klettres ====
Version update (16.08.2 -> 16.08.3)

- Update build requirements
- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kmahjongg ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kmines ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kmouth ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kmplot ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== knavalbattle ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== knetwalk ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kolf ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kollision ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kolourpaint ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== konquest ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kpat ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kppp ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kremotecontrol ====
Version update (16.08.2 -> 16.08.3)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kreversi ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kscd ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kshisen ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ksirk ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kspaceduel ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ksquares ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ksudoku ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ksystemlog ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kteatime ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ktimer ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ktouch ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== ktuberling ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kturtle ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kubrick ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== kwordquiz ====
Version update (16.08.2 -> 16.08.3)

- Remove unneeded build requirements
- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== libassuan ====
Subpackages: libassuan-devel libassuan0

- qemu-disable-fdpassing-test.patch: disable fdpassing test when running
under qemu-linux-user

==== libkdegames ====
Version update (16.08.2 -> 16.08.3)
Subpackages: kdegames-carddecks-default libkdegames-devel libkf5kdegames6

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== libkeduvocdocument ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== libkmahjongg ====
Version update (16.08.2 -> 16.08.3)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== lokalize ====
Version update (16.08.2 -> 16.08.3)

- Remove unneeded kdelibs4support-devel build requirement
- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== lskat ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== okteta ====
Version update (16.08.2 -> 16.08.3)
Subpackages: okteta-devel

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== openldap2 ====
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit libldap-data openldap2-client
openldap2-devel

- Introduce patch 0012-use-system-wide-cert-dir-by-default.patch
to let OpenLDAP read system wide certificate directory by
default and avoid hiding the error if user specified CA location
cannot be read (bsc#1009470).

==== parley ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== php5 ====
Version update (5.6.27 -> 5.6.28)
Subpackages: apache2-mod_php5 php5-bcmath php5-bz2 php5-calendar php5-ctype
php5-curl php5-dba php5-devel php5-dom php5-exif php5-fastcgi php5-ftp php5-gd
php5-gettext php5-gmp php5-iconv php5-imap php5-json php5-ldap php5-mbstring
php5-mcrypt php5-mysql php5-odbc php5-openssl php5-pdo php5-pear
php5-pear-Archive_Tar php5-pgsql php5-shmop php5-snmp php5-sockets php5-sqlite
php5-suhosin php5-sysvsem php5-sysvshm php5-tidy php5-tokenizer php5-wddx
php5-xmlreader php5-xmlwriter php5-xsl php5-zip php5-zlib

- updated to 5.6.28: This is a security release. Several security
bugs were fixed in this release.

==== poxml ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== python3-pip ====
Version update (8.1.1 -> 9.0.1)

- update to version 9.0.1:
* Correct the deprecation message when not specifying a --format so
that it uses the correct setting name ("format") rather than the
incorrect one ("list_format") (:issue:`4058`).
* Fix "pip check" to check all available distributions and not just
the local ones (:issue:`4083`).
* Fix a crash on non ASCII characters from `lsb_release`
(:issue:`4062`).
* Fix an SyntaxError in an an used module of a vendored dependency
(:issue:`4059`).
* Fix UNC paths on Windows (:issue:`4064`).
- update to version 9.0.0:
* **BACKWARD INCOMPATIBLE** Remove the attempted autodetection of
requirement names from URLs, URLs must include a name via
"#egg=".
* **DEPRECATION** "pip install --egg" have been deprecated and will
be removed in the future. This "feature" has a long list of
drawbacks which break nearly all of pip's other features in
subtle and hard-to-diagnose ways.
* **DEPRECATION** "--default-vcs" option (:issue:`4052`).
* **WARNING** pip 9 cache can break forward compatibility with
previous pip versions if your package repository allows chunked
responses (:issue:`4078`).
* Add a "pip check" command to check installed packages dependencies
(:pull:`3750`).
* Add option allowing user to abort pip operation if file/directory
exists
* Add Appveyor CI
* Uninstall existing packages when performing an editable
installation of the same packages (:issue:`1548`).
* "pip show" is less verbose by default. "--verbose" prints
multiline fields. (:pull:`3858`).
* Add optional column formatting to "pip list" (:issue:`3651`).
* Add "--not-required" option to "pip list", which lists packages
that are not dependencies of other packages.
* Fix builds on systems with symlinked "/tmp" directory for custom
builds such as numpy (:pull:`3701`).
* Fix regression in "pip freeze": when there is more than one git
remote, priority is given to the remote named "origin"
(:pull:`3708`, :issue:`3616`).
* Fix crash when calling "pip freeze" with invalid requirement
installed (:pull:`3704`, :issue:`3681`).
* Allow multiple "--requirement" files in "pip freeze"
(:pull:`3703`).
* Implementation of pep-503 "data-requires-python". When this field
is present for a release link, pip will ignore the download when
installing to a Python version that doesn't satisfy the
requirement.
* "pip wheel" now works on editable packages too (it was only
working on editable dependencies before); this allows running "pip
wheel" on the result of "pip freeze" in presence of editable
requirements (:pull:`3695`, :issue:`3291`).
* Load credentials from ".netrc" files (:pull:`3715`,
:issue:`3569`).
* Add "--platform", "--python-version", "--implementation" and
"--abi" parameters to "pip download". These allow utilities and
advanced users to gather distributions for interpreters other than
the one pip is being run on. (:pull:`3760`)
* Skip scanning virtual environments, even when venv/bin/python is a
dangling symlink.
* Added "pip completion" support for the "fish" shell.
* Fix problems on Windows on Python 2 when username or hostname
contains non-ASCII characters (:issue:`3463`, :pull:`3970`,
:pull:`4000`).
* Use "git fetch --tags" to fetch tags in addition to everything
else that is normally fetched; this is necessary in case a git
requirement url points to a tag or commit that is not on a branch
(:pull:`3791`)
* Normalize package names before using in "pip show" (:issue:`3976`)
* Raise when Requires-Python do not match the running version and
add "--ignore-requires-python" option as escape hatch
(:pull:`3846`).
* Report the correct installed version when performing an upgrade in
some corner cases (:issue:`2382`)
* Add "-i" shorthand for "--index" flag in "pip search"
* Do not optionally load C dependencies in requests (:issue:`1840`,
:issue:`2930`, :issue:`3024`)
* Strip authentication from SVN url prior to passing it to "svn"
(:pull:`3697`, :issue:`3209`).
* Also install in platlib with "--target" option (:pull:`3694`,
:issue:`3682`).
* Restore the ability to use inline comments in requirements files
passed to "pip freeze" (:issue:`3680`).
- update to version 8.1.2:
* Fix a regression on systems with uninitialized locale (#3575).
* Use environment markers to filter packages before determining if a
required wheel is supported. Solves (#3254).
* Make glibc parsing for manylinux1 support more robust for the
variety of glibc versions found in the wild (#3588).
* Update environment marker support to fully support PEP 508 and
legacy environment markers (#3624).
* Always use debug logging to the --log file (#3351).
* Don't attempt to wrap search results for extremely narrow terminal
windows (#3655).
- specfile:
* changed to https for source url
* updated source url to files.pythonhosted.org

==== step ====
Version update (16.08.1 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== tar ====

- add tar-1.29-extract_pathname_bypass.patch to fix POINTYFEATHER
vulnerability - GNU tar archiver can be tricked into extracting
files and directories in the given destination, regardless of the
path name(s) specified on the command line [bsc#1007188]
[CVE-2016-6321]

==== umbrello ====
Version update (16.08.2 -> 16.08.3)

- Update to KDE Applications 16.08.3
* KDE Applications 16.08.3
* https://www.kde.org/announcements/announce-applications-16.08.3.php

==== xf86-video-ati ====

- U_21-Refactor-radeon_mode_hotplug.patch
U_22-Use-pRADEONEnt-to-find-both-screens-of-a-GPU-in-radeon_mode_hotplug.patch
Fix enumeration of connectors per GPU (bsc#1008200).

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages